using System;
using System.Collections.Generic;

class ComparableClass : IComparable
{  
   public ComparableClass(int value)
   {
	   this.Value = value;
   }

   public int Value { get; private set; }
   
   public int CompareTo(object o)
   {
	   if(o is ComparableClass)
	   {
		   ComparableClass c = (ComparableClass)o;
		   return Value.CompareTo(c.Value);
	   }
	   else throw(new Exception("Nem megfelel objektum..."));
   }
}

class ComparableClassComparer : IComparer<ComparableClass>
{
   public int Compare(ComparableClass x, ComparableClass y)
   {
	   if(x is ComparableClass && y is ComparableClass)
	   {
		   ComparableClass _x = (ComparableClass)x;
		   ComparableClass _y = (ComparableClass)y;
		   
		   return _x.CompareTo(_y);
	   }
	   else throw(new Exception("Nem megfelel parameter..."));
   }
}


class Program
{
	static public void Main()
	{
		List<ComparableClass> list = new List<ComparableClass>();
		Random r = new Random();

		for(int i = 0;i < 10;++i)
		{
		   list.Add(new ComparableClass(r.Next(1000)));
		}

		foreach(ComparableClass c in list)
		{
		   Console.Write("{0} ", c.Value);
		}

		Console.WriteLine("\nA rendezett lista:");

		list.Sort(new ComparableClassComparer());

		foreach(ComparableClass c in list)
		{
		   Console.Write("{0} ", c.Value);
		}
		
		Console.WriteLine();
	}
}